org.eclipse.microprofile.fault.tolerance.tck.fallbackmethod.beans

## Class FallbackMethodSuperclassBeanA

- java.lang.Object
- - org.eclipse.microprofile.fault.tolerance.tck.fallbackmethod.beans.FallbackMethodSuperclassBeanB
  - - org.eclipse.microprofile.fault.tolerance.tck.fallbackmethod.beans.FallbackMethodSuperclassBeanA

    @ApplicationScoped
    public class FallbackMethodSuperclassBeanA
    extends FallbackMethodSuperclassBeanB

### Constructor Summary

Constructors
Constructor and Description
`FallbackMethodSuperclassBeanA()`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `method(int a, Long b)`

### Methods inherited from class org.eclipse.microprofile.fault.tolerance.tck.fallbackmethod.beans.FallbackMethodSuperclassBeanB

`fallback`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### FallbackMethodSuperclassBeanA

    public FallbackMethodSuperclassBeanA()

### Method Detail

#### method

    @Fallback(fallbackMethod="fallback")
    public String method(int a,
                                                              Long b)